﻿<%@ Page MasterPageFile="../../masterpages/umbracoPage.Master" Language="C#" AutoEventWireup="true" CodeBehind="editFormEntries.aspx.cs" Inherits="Umbraco.Forms.UI.Pages.editFormEntries" %>
<%@ Register Namespace="umbraco.uicontrols" Assembly="controls" TagPrefix="umb" %>

<asp:Content ID="headContent" ContentPlaceHolderID="head" runat="server">
      
      <link rel="Stylesheet" href="css/datatables.css" type="text/css" />
      <script src="scripts/jquery.datatables.js" type="text/javascript"></script>
      
      <link rel="stylesheet" href="css/style.css" type="text/css" media="screen" />
     

      <script type="text/javascript">
             var webserviceUrl = "webservices/records.aspx?guid=<%= formGuid %>";
             var otable;
             
             $(document).ready(function() {
				otable = $('#entries').dataTable( {
				    "sPaginationType": "full_numbers",
					"bProcessing": true,
					"bServerSide": true,
					"sAjaxSource": webserviceUrl,
					"aaSorting": [[ 1, "desc" ]],
					"aoColumns": [ 
			                        {"fnRender": renderKey, "bSortable": false}, {"fnRender": renderDate},{"fnRender": renderString, "bSortable": false},{"fnRender": renderString, "bSortable": false},{"fnRender": renderString, "bSortable": false} <asp:literal id="colSettings" runat="server"/>
			                     ]					
				} );
								
				$("#entries").css("width","100%")
				
				$("#delBt").click(deleteSelected);
				$("#appBt").click(approveSelected);
				
			});
             
             function FetchRecords(){
                var state = jQuery("#<%= dd_state.ClientID %>").val();
                var date = jQuery("#<%= dd_timespan.ClientID %>").val();
                
                otable.fnSettings().sAjaxSource = webserviceUrl + "&date=" + date + "&state=" + state;            
                otable.fnDraw();
             }
                          
             function ShowExportFormEntriesDialog(){

                var src = "exportFormEntriesDialog.aspx?guid=<%= formGuid %>";;
                 $.modal('<iframe src="' + src + '" height="400" width="600" style="border:0">');

             }
             
             function CloseExportFormEntriesDialog(){
                $.modal.close();
             }
             
             
             
            
			    var arr = new Array();
			    
			    function renderKey(obj){
				    return  "<input onClick='javascript:selectColumn(this);' type='checkbox' id='" + obj.aData[obj.iDataColumn] +"'/>";				
				}
				
				function renderState(obj){
				    return  "<span class='" + obj.aData[obj.iDataColumn] + "'>" + obj.aData[obj.iDataColumn] + "</span>";						
				}
				
				function renderDate(obj){
				    return  obj.aData[obj.iDataColumn] ;						
				}
				
				function renderString(obj){
				    return  obj.aData[obj.iDataColumn];						
				}
				
				function renderLongString(obj){
				    return  obj.aData[obj.iDataColumn];					
				}
				
				function renderBoolean(obj){
				   return  obj.aData[obj.iDataColumn];		
				}
				
				function selectColumn(checkbox){
				   var row = jQuery(checkbox).parent().parent();
				   row.toggleClass("selected");
				   
				   var index = jQuery.inArray(row, arr);
				   
				   if(checkbox.checked){
				   if(index < 0)
				        arr[arr.length] = row;
				        
				   }else{
				    arr.splice(index, 1);
				   }
				}
				
				function deleteSelected(){
				
				if( confirm("Are you sure you want to delete these entries?") ){
				   
				   jQuery.each(arr, function(){
				        var cb = jQuery("input", this);
				        jQuery.get(webserviceUrl + '&record=' + cb.attr("id") + '&mode=delete');
				        this.hide();				   
				   });
				   
				   arr = new Array();
				   
				   }
				   
				}
				
				
				function approveSelected(){
				   jQuery.each(arr, function(){
				       var cb = jQuery("input", this);
				       var stateTd = jQuery("td.stateCol", this);
				       
				        jQuery.get(webserviceUrl + '&record=' + cb.attr("id") + '&mode=approve');
				        cb.attr("checked", false);
				        
				        this.removeClass("selected");
				        
				        stateTd.html("<span class='Approved'>Approved</span>");  	   
				   });
				   
				   arr = new Array();
				}
				
				
									
      </script> 
      
</asp:Content>

<asp:Content ID="Content" ContentPlaceHolderID="body" runat="server">

      <script type="text/javascript" src="scripts/jquery-ui-1.7.2.custom.min.js"></script>
      <script type="text/javascript" src="scripts/jquery.simplemodal-1.2.3.js"></script>

     <umb:UmbracoPanel ID="Panel1" runat="server" hasMenu="true" Text="Form entries">
        
        <umb:Pane runat="server">
            <umb:PropertyPanel runat="server">
                
                <p>
                    Get all 
                    
                    <asp:DropDownList runat="server" ID="dd_state" /> 
                    
                    records from the last 
                    
                    <asp:DropDownList ID="dd_timespan" runat="server" />
                
                </p>
                                
            </umb:PropertyPanel>
        </umb:Pane>
        
                        
         <umb:Pane ID="Pane1" runat="server" Text="Form Entries">
          
           
          <div id="dynamic">
            <table cellpadding="0" cellspacing="0" border="0" class="display" style="width: 700px" id="entries"> 
	            <thead> 
		            <tr> 
		                <th style="width: 10px !Important"></th>
		                <th>Created</th>
		                <th>Ip</th>    	
		                <th>PageID</th>    	
		                <th>Url</th>    	                
		                <asp:literal runat="server" ID="colHeaders" />
			        </tr> 
	            </thead> 
	            <tbody> 
            		
	            </tbody>
	            
	            <tfoot>
	                <tr>
	                    <td colspan="3">
	                    <div id="buttons">
	                    <input type="button" id="appBt" value="Approve" style="width: 70px;" /> <input type="button" id="delBt" value="Delete" style="width: 70px;" />
	                    </div>	                    
	                    </td>
	                </tr>	                   
	            </tfoot> 
	        </table> 
         </div> 
                  
         <div class="spacer"></div> 
        
        
         
         </umb:Pane>
         
       
         
     </umb:UmbracoPanel>
     
</asp:Content>